Jump to content

CUDA 418.163 is out! [UPDATE May 10, 2019]


fantomas
140 posts in this topic

Recommended Posts

use this terminal command because you're changement is broken

 

sudo cp /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_378.05.05.25_mercury.dylib /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_378.10.10.10_mercury.dylib

im try rename to 378.10.10.10 not work. I'm use 10.3.1 beta2 (17B35a)

You can help me

post-1955424-0-90839700-1508305906_thumb.png

Link to comment
Share on other sites

im try rename to 378.10.10.10 not work. I'm use 10.3.1 beta2 (17B35a)

You can help me

Hmmb? But how if:  :)

cd /Library/Frameworks/CUDA.framework/Versions/A/Libraries
sudo mv libcuda_378.05.05.25_mercury.dylib libcuda_378.10.10.10_mercury.dylib
Link to comment
Share on other sites

New CUDA driver, https://us.download.nvidia.com/Mac/cuda_9_0/cudadriver_9.0.214_macos.dmg

works without reboot, about 88MB install size in high sierra (here in build 17A405).

 

THANKS NVIDIA!!!

 

EDIT:

PS: An interesting link (I think) https://developer.nvidia.com/tensorrt

PSS: @fantomas1 :: that was REALLY quick :thumbsup_anim: :thumbsup_anim:

Thanks !

 

It seems to be for 10.13 only !

 

http://www.nvidia.com/object/macosx-cuda-9.0.214-driver.html

 

post-305243-0-77474700-1508424708_thumb.jpg

Link to comment
Share on other sites

  • 2 weeks later...

Hello, I upgraded to Nvidia web driver 378.10.10.10.15.121 successfully,

but now in CUDA preferences panel i see "update required" ! I have the latest 9.0.214 for HS... I tried to download it again and reinstall, but same result !

Is that normal ? I thought that latest CUDA for 10.13 fixed this problem... do I have to apply again the patch in post #100 ? ---> http://www.insanelymac.com/forum/topic/302795-cuda-90214-is-out-update-10162017/?p=2503580

Link to comment
Share on other sites

A note for everyone using High Sierra with this, if you install CUDA with disabled SIP mode. You may be getting bootloop if you enable SIP when you try to update Web Driver. Remember to enable SIP when you install Web Driver and CUDA

Link to comment
Share on other sites

Hello, I upgraded to Nvidia web driver 378.10.10.10.15.121 successfully,

but now in CUDA preferences panel i see "update required" ! I have the latest 9.0.214 for HS... I tried to download it again and reinstall, but same result !

Is that normal ? I thought that latest CUDA for 10.13 fixed this problem... do I have to apply again the patch in post #100 ? ---> http://www.insanelymac.com/forum/topic/302795-cuda-90214-is-out-update-10162017/?p=2503580

 

Well, I repaired permissions and rebuilt cache, then reboot, and my problem was fixed. No more "update required" popup message, and CUDA preferences panel is now OK.

Link to comment
Share on other sites

sudo cp /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_378.05.05.25_mercury.dylib /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_378.10.10.10_mercury.dylib

 

this seems to work also in latest web driver release


confirmed it works also in 10.13.2 beta

Link to comment
Share on other sites

  • 1 month later...
  • 1 month later...
  • 2 weeks later...

Execute this command in terminal 

sudo cp /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_378.05.05.25_mercury.dylib /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_378.10.10.10_mercury.dylib

and the message will disappear. Restart after.

Link to comment
Share on other sites

Execute this command in terminal 

sudo cp /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_378.05.05.25_mercury.dylib /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_378.10.10.10_mercury.dylib

and the message will disappear. Restart after.

Sorry, it automatically disappeared in a few minutes.

 

Thanks!

Link to comment
Share on other sites

  • 2 months later...
16 hours ago, @ROBASEFR said:

378.178 !

Thanks.

378.178 OK. Still seeing "Update Required". Terminal command in post @Kynyo is it still valid? Or there is another solution.

Link to comment
Share on other sites

hi Matgen84

try this

sudo cp /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_378.05.05.25_mercury.dylib /Library/Frameworks/CUDA.framework/Versions/A/Libraries/libcuda_387.10.10.10_mercury.dylib
Edited by Guest
Link to comment
Share on other sites

×
×
  • Create New...